function AppendParameter(sParams, sNewParam, sValue, bURLEncode = false)
{
	if(bURLEncode)
	{
		sBuffer = encodeURIComponent(sValue);
	}
	else
	{
		sBuffer = sValue;
	}
	
	if(sParams == "")
	{
		sParams = "?" + sNewParam + "=" + sBuffer;
	}
	else
	{
		sParams = sParams + "&" + sNewParam + "=" + sBuffer;
	}
	return sParams;
}

function CheckForParamInURLAndAppend(sParams, sParamToCheck)	//check for variable in URL
{
	var sRtn = sParams;
	var sBuffer = getParameterByName(sParamToCheck);
	if((sBuffer != "") && (sBuffer != null))
	{
		sRtn = AppendParameter(sParams, sParamToCheck, sBuffer);
	}
	return sRtn;
}

function getParameterByName(name, url)
{
	if (!url)
	{
	  url = window.location.href;
	}
	name = name.replace(/[\[\]]/g, "\\$&");
	var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
	if (!results) return null;
	if (!results[2]) return '';
	return decodeURIComponent(results[2].replace(/\+/g, " "));
}

function RedirectPage(sLocation)
{
	window.location = sLocation;
}

function GoToAnchor(id)
{
	var element = document.getElementById(id);
	$('html,body').unbind().animate({scrollTop: $(element).offset().top-175},'fast');
}

function ScrollToTop()
{
	$('html,body').unbind().animate({scrollTop: 0},'fast');
}

// A simple function to copy a string to clipboard. See https://github.com/lgarron/clipboard.js for a full solution.
var copyToClipboard = (function()
{
	var _dataString = null;
	document.addEventListener("copy", function(e)
	{
		if (_dataString !== null)
		{
			try
			{
				e.clipboardData.setData("text/plain", _dataString);
				e.preventDefault();
			}
			finally 
			{
				_dataString = null;
			}
		}
	});
	return function(data)
	{
		_dataString = data;
		document.execCommand("copy");
	};
})();

function IsValidEmail(sInputText)	//https://emailregex.com/ + https://www.codeproject.com/Tips/492632/Email-Validation-in-JavaScript
{
	var filter = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
	if (!filter.test(sInputText))
	{ 
		return false;
	}
	return true;
}