<?php
	include("../settings.php");
	include("../../includes/togcoding/functions.php");
	
	$thispg = $transfer_protocol.'://' . $_SERVER['HTTP_HOST'] .strtok($_SERVER["REQUEST_URI"],'?');
	$thispg = str_replace("runquery.php", "index.php", $thispg);		//not needed if file used as an include. needed for ajax though

	$tblname = "togscrim_kicks";

	if(defined("SHOW_STEAM_LOGIN_BANS"))
	{
		if(defined("REQUIRE_AUTH_BANS"))
		{
			if($_SESSION['togscrim_admin'] != "ADMIN")
			{
				echo "<div class='title'><font class='fontred fontxl'><b><center><span class='blink_text'></br></br></br></br>You must be logged in as an admin to view this page!</span></center></b></font></div><br>";
				die;
			}
		}

		session_start();
	}

	function AddMapPic($sMapName)
	{
		//$sRtn = AddDemos($sRtn, $value);

		$thisfolder = str_replace("index.php", "", str_replace("runquery.php", "", $transfer_protocol.'://'.$_SERVER['HTTP_HOST'].strtok($_SERVER["REQUEST_URI"],'?')));
		clearstatcache();
		$sMapPicPath = '../mappics/'.$sMapName.'.jpg';

		if(file_exists($sMapPicPath) == true)
		{
			return '</br><img src="'.$sMapPicPath.'" alt = "" border="2">';
		}
		else
		{
			return '</br><img src="../mappics/unknown.jpg" alt = "" border="2">';
		}
		return;
	}

	function AddHeader($colname)
	{
		include("../settings.php");
		include("../../includes/togcoding/functions.php");

		$sOriginalColName = $colname;
		$classstring = GetColArrayData('aa_sBansFields', $colname, 2, $colname);
		$colname = GetColArrayData('aa_sBansFields', $colname, 0, $colname);
		$sReturn = "<th class='".$classstring."'>";

		DecodeParam($param_sortdir, "sortdir", 'DESC');
		if(strtoupper($param_sortdir) != "ASC")
		{
			$param_sortdir = 'DESC';
		}
		DecodeParam($param_ordercol, "ordercol", DEFAULT_SORTCOL_BANS);
		$param_ordercol = CheckIfValidColumn('aa_sBansFields', $param_ordercol, DEFAULT_SORTCOL_BANS);

		if($param_ordercol == $sOriginalColName)	//if the current one we're setting, check for reverse sort
		{
			if(strtoupper($param_sortdir) == "DESC")
			{
				$sReturn .= "<a name='".$sOriginalColName."' class='colhdr sortdesc fontlinkblue'>".$colname. " &#9660</a></th>";
			}
			else
			{
				$sReturn .= "<a name='".$sOriginalColName."' class='colhdr sortasc fontlinkblue'>".$colname. " &#9650</a></th>";
			}
		}
		else
		{
			$sReturn .= "<a name='".$sOriginalColName."' class='colhdr fontlinkblue'>".$colname. "</a></th>";
		}
		return $sReturn;
	}

	class TableRows extends RecursiveIteratorIterator
	{
		function __construct($it)
		{
			parent::__construct($it, self::LEAVES_ONLY);
		}

		function current()
		{
			include("../settings.php");

			$value = parent::current();
			if($value == "")
			{
				$value = "-";
			}
			$origvalue = $value;

			$sParent = GetColArrayData('aa_sBansFields', parent::key(), 1, parent::key());

			if(($sParent == "lastnameused"))
			{
				$value = noHTML($value);	//sanitize
			}

			$classstring = GetColArrayData('aa_sBansFields', $sParent, 2, 'minmaxwidth200');

			$playermatchstatspg = $transfer_protocol.'://' . $_SERVER['HTTP_HOST'] . strtok($_SERVER["REQUEST_URI"],'?');
			$playermatchstatspg = str_replace("runquery.php", "index.php", $playermatchstatspg);
			$playerstatspg = str_replace("bans/", "playerstats/", $playermatchstatspg);

			if(strtolower($sParent) == "event_time")
			{
				$GLOBALS['g_vBanEventTime'] = $value;
			}
			if(strtolower($sParent) == "banlength")
			{
				if($value == 0)
				{
					$value = '<font class="fontbold fontred">PERMANENT</font>';
				}
				else if($value < 0)
				{
					$value = '<font class="fontdarkgrey">UNBANNED / TEMP</font>';
				}
				else
				{
					$origtime = $value;
					$numdays = floor($value/1440);
					$remainder = $value - ($numdays*1440);
					$numhrs = floor($remainder/60);
					$remainder = $remainder - ($numhrs*60);
					$value = '';
					if($numdays)
					{
						$value = $numdays.'day';
						if($numdays > 1)
						{
							$value .= 's';
						}
					}
					if($numhrs)
					{
						if($value != '')
						{
							$value .= ' '.$numhrs.'hr';
						}
						else
						{
							$value = $numhrs.'hr';
						}

						if($numhrs > 1)
						{
							$value .= 's';
						}
					}
					if($remainder)
					{
						if($value != '')
						{
							$value .= ' '.$remainder.'min';
						}
						else
						{
							$value = $remainder.'min';
						}

						if($remainder > 1)
						{
							$value .= 's';
						}
					}

					$numminspassed = floor((strtotime("now") - strtotime($GLOBALS['g_vBanEventTime']))/60);
					if($numminspassed > $origtime)
					{
						$value .= '</br><font class="fontbold fontorange">[EXPIRED]</font>';
					}
					else
					{
						$value .= '</br><font class="fontbold fontred">[ACTIVE]</font>';
					}
				}
			}
			else if(strtolower($sParent) == "match_id")
			{
				if(!isset($_GET["matchid"]))	//if filtered to a specific match already, dont add link for match filter
				{
					$value .= '</br><a target="_self" href="'.$playermatchstatspg.'?matchid='.$value.'">>> Match Stats <<</a>';
				}
			}
			else if($sParent == "server_ip")
			{
				if($value == "104.153.105.102:27015")	//use this, or similar if statements, to customize the text for specific values in the database.
				{
					$value = "TOG's Test Server</br>(104.153.105.102:27015)";
				}

				$value .= '<form><input class="joinserverbtn" type="button" value="Join Server" name="steam://connect/'.$origvalue.'"></form>';
			}
			else if($sParent == "map")
			{
				$value .= AddMapPic($value);
			}
			else if(strtolower($sParent) == "steamid")
			{
				if(strpos($value, "STEAM_") !== false)
				{
					$value = '<a target="_self" href="'.$playerstatspg.'?steamid='.$value.'" target="_blank">'.$value.'</a>';
				}
			}

			return "<td class='".$classstring."'>".$value.'</td>';
		}

		function beginChildren()
		{
			echo "<tr>";
		}

		function endChildren()
		{
			echo "</tr>" . "\n";
		}
	}

	try
	{
		DecodeParam($param_page, "page", 1);
		DecodeParam($param_sortdir, "sortdir", 'DESC');
		DecodeParam($param_ordercol, "ordercol", DEFAULT_SORTCOL_BANS);
		$param_ordercol = CheckIfValidColumn('aa_sBansFields', $param_ordercol, DEFAULT_SORTCOL_BANS);
		DecodeParam($param_steamid, "steamid", "");
		DecodeParam($param_lastnameused, "lastnameused", "");
		DecodeParam($param_lastclientip, "lastclientip", "");
		DecodeParam($param_server, "server", "");
		DecodeParam($param_matchid, "matchid", "");
		DecodeParam($param_map, "map", "");

		$conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
		$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

		echo "<table class='darkTable' align='center'><thead class='nav-container'><tr>";
		$bFirst = true;
		$sHeaders = "";
		$query = 'SELECT ';

		for($i = 0; $i < count($GLOBALS['aa_sBansFields']); $i++)
		{
			$a_sField = $GLOBALS['aa_sBansFields'][$i];
			if($a_sField[3] === true)
			{
				if($_SESSION['togscrim_admin'] != "ADMIN")
				{
					continue;
				}
			}

			if($i != 0)
			{
				$query .= ',';
			}
			$query .= $a_sField[1].' AS `'. $a_sField[0].'`';
			$sHeaders .= AddHeader($a_sField[0]);
		}
		$sHeaders .= '</tr></thead>';
		$query .= " FROM ".$tblname." ";

		$start_from = ($param_page - 1) * NUMPGRECORDS_BANS;

		$firstwhere = true;
		//function SQLAddWhereCol2(&$variable, &$bFirstWhere, $inputcol, $paramname, $bStringInput = false, $bSkipCheck = false)
		$query .= SQLAddWhereCol2($param_steamid, $firstwhere, "steamid", "param_steamid", true);
		$query .= SQLAddWhereCol2($param_lastnameused, $firstwhere, "lastnameused", "param_lastnameused", true);
		$query .= SQLAddWhereCol2($param_lastclientip, $firstwhere, "lastclientip", "param_lastclientip", true);
		$query .= SQLAddWhereCol2($param_server, $firstwhere, "server", "param_server", true);
		$query .= SQLAddWhereCol2($param_map, $firstwhere, "map", "param_map", true);
		$query .= SQLAddWhereCol2($param_matchid, $firstwhere, "match_id", "param_matchid");

		$query .= " ORDER BY `".$param_ordercol."` ".$param_sortdir." LIMIT :startpgnum, ".NUMPGRECORDS_BANS;
		$stmt = $conn->prepare($query);

		//bind inputs			//function SQLBindParam(&$stmt, &$variable, $paramname, $bStringInput = false, $bSkipCheck = false)
		SQLBindParam($stmt, $param_steamid, "param_steamid", true);
		SQLBindParam($stmt, $param_lastnameused, "param_lastnameused", true);
		SQLBindParam($stmt, $param_lastclientip, "param_lastclientip", true);
		SQLBindParam($stmt, $param_server, "param_server", true);
		SQLBindParam($stmt, $param_map, "param_map", true);
		SQLBindParam($stmt, $param_matchid, "param_matchid");
		SQLBindParam($stmt, $start_from, "startpgnum", false, true);
		$stmt->execute();

		$result = $stmt->setFetchMode(PDO::FETCH_ASSOC); 	// set the resulting array to associative
		$iCount = $stmt->rowCount();
		if($iCount == 0)
		{
			echo '<font class="fontred font22">NO RECORDS RETURNED!</font>';
		}
		else
		{
			echo $sHeaders;
			echo '<tbody>';
			foreach(new TableRows(new RecursiveArrayIterator($stmt->fetchAll())) as $k=>$v)
			{
				echo $v;
			}
			echo '</tbody>';
		}
	}
	catch(PDOException $e)
	{
		echo "Error: " . $e->getMessage();
	}
	echo "</table>";

	//page numbers
	if($iCount != 0)
	{
		DecodeParam($param_page, "page", 1);
		DecodeParam($param_sortdir, "sortdir", 'DESC');
		DecodeParam($param_ordercol, "ordercol", DEFAULT_SORTCOL_BANS);
		$param_ordercol = CheckIfValidColumn('aa_sBansFields', $param_ordercol, DEFAULT_SORTCOL_BANS);
		DecodeParam($param_steamid, "steamid", "");
		DecodeParam($param_lastnameused, "lastnameused", "");
		DecodeParam($param_lastclientip, "lastclientip", "");
		DecodeParam($param_server, "server", "");
		DecodeParam($param_matchid, "matchid", "");
		DecodeParam($param_map, "map", "");

		$query = str_replace('LIMIT :startpgnum, '.NUMPGRECORDS_BANS, "", $query);
		$stmt = $conn->prepare($query);

		//bind inputs
		SQLBindParam($stmt, $param_steamid, "param_steamid", true);
		SQLBindParam($stmt, $param_lastnameused, "param_lastnameused", true);
		SQLBindParam($stmt, $param_lastclientip, "param_lastclientip", true);
		SQLBindParam($stmt, $param_server, "param_server", true);
		SQLBindParam($stmt, $param_map, "param_map", true);
		SQLBindParam($stmt, $param_matchid, "param_matchid");
		$stmt->execute();

		$result = $stmt->setFetchMode(PDO::FETCH_ASSOC); 	// set the resulting array to associative
		$iCount = $stmt->rowCount();

		$total_pages = ceil($iCount / NUMPGRECORDS_BANS);
		if($iCount != 0)
		{
			include("../../includes/togcoding/pagelinks.php");
		}
	}
	$conn = null;
?>