<?php
	include("../settings.php");
	include("../../includes/togcoding/functions.php");
	
	$thispg = $transfer_protocol.'://' . $_SERVER['HTTP_HOST'] .strtok($_SERVER["REQUEST_URI"],'?');
	$thispg = str_replace("runquery.php", "index.php", $thispg);		//not needed if file used as an include. needed for ajax though

	$tblname = "togscrim_players";

	if(defined("SHOW_STEAM_LOGIN_PLYRMATCHSTATS"))
	{
		if(defined("REQUIRE_AUTH_PLYRMATCHSTATS"))
		{
			if($_SESSION['togscrim_admin'] != "ADMIN")
			{
				echo "<div class='title'><font class='fontred fontxl'><b><center><span class='blink_text'></br></br></br></br>You must be logged in as an admin to view this page!</span></center></b></font></div><br>";
				die;
			}
		}

		session_start();
	}

	function AddHeader($colname)
	{
		include("../settings.php");
		include("../../includes/togcoding/functions.php");

		$sOriginalColName = $colname;
		$classstring = GetColArrayData('aa_sPlyrMtchStatsFields', $colname, 2, $colname);
		$colname = GetColArrayData('aa_sPlyrMtchStatsFields', $colname, 0, $colname);
		$sReturn = "<th class='".$classstring."'>";

		DecodeParam($param_sortdir, "sortdir", 'DESC');
		if(strtoupper($param_sortdir) != "ASC")
		{
			$param_sortdir = 'DESC';
		}
		if(isset($_GET["matchid"]))
		{
			$sDefOrderCols = DEFAULT_SORTCOL_PLYRMATCHSTATS_MATCH;	//$param_ordercol = "outcome";
		}
		else
		{
			$sDefOrderCols = DEFAULT_SORTCOL_PLYRMATCHSTATS;
		}
		DecodeParam($param_ordercol, "ordercol", $sDefOrderCols);
		$param_ordercol = CheckIfValidColumn('aa_sPlyrMtchStatsFields', $param_ordercol, $sDefOrderCols);

		if($param_ordercol == $sOriginalColName)	//if the current one we're setting, check for reverse sort
		{
			if(strtoupper($param_sortdir) == "DESC")
			{
				$sReturn .= "<a name='".$sOriginalColName."' class='colhdr sortdesc fontlinkblue'>".$colname. " &#9660</a></th>";
			}
			else
			{
				$sReturn .= "<a name='".$sOriginalColName."' class='colhdr sortasc fontlinkblue'>".$colname. " &#9650</a></th>";
			}
		}
		else
		{
			$sReturn .= "<a name='".$sOriginalColName."' class='colhdr fontlinkblue'>".$colname. "</a></th>";
		}
		return $sReturn;
	}

	class TableRows extends RecursiveIteratorIterator
	{
		function __construct($it)
		{
			parent::__construct($it, self::LEAVES_ONLY);
		}

		function current()
		{
			include("../settings.php");

			$value = parent::current();
			if($value == "")
			{
				$value = "-";
			}
			$origvalue = $value;

			$sParent = GetColArrayData('aa_sPlyrMtchStatsFields', parent::key(), 1, parent::key());

			if(($sParent == "lastnameused"))
			{
				$value = noHTML($value);	//sanitize
			}

			$classstring = GetColArrayData('aa_sPlyrMtchStatsFields', $sParent, 2, 'minmaxwidth200');
			$sReturn = "<td class='".$classstring."'>";

			$playermatchstatspg = $transfer_protocol.'://' . $_SERVER['HTTP_HOST'] . strtok($_SERVER["REQUEST_URI"],'?');
			$playermatchstatspg = str_replace("runquery.php", "index.php", $playermatchstatspg);
			$playerstatspg = str_replace("playermatchstats/", "playerstats/", $playermatchstatspg);

			if(strtolower($sParent) == "match_id")
			{
				if(isset($_GET["matchid"]))	//if filtered to a specific match already, dont add link for match filter
				{
					return $sReturn.'Match #'.$value.'</td>';
				}
				$sReturn .= 'Match #'.$value.'</br><a target="_self" href="'.$playermatchstatspg.'?matchid='.$value.'">>> Match Stats <<</a></td>';
			}
			else if(strtolower($sParent) == "steamid")
			{
				if(strpos($value, "STEAM_") !== false)
				{
					$sReturn .= '<a target="_self" href="'.$playerstatspg.'?steamid='.$value.'" target="_blank">'.$value.'</a></td>';
				}
			}
			else if(strtolower($sParent) == "outcome")
			{
				if($value == "WINNING TEAM")
				{
					$value = '<font class="fontbold font15 font008000">'.$value.'</font>';
				}
				else if($value == "LOSING TEAM")
				{
					$value = '<font class="fontbold font15 fontred">'.$value.'</font>';
				}
				else
				{
					$value = '<font class="fontFF8C00">'.$value.'</font>';
				}
				$sReturn .= $value.'</td>';
			}
			else if(strtolower($sParent) == "b_subbedin")
			{
				if($value == "1")
				{
					$value = '<font class="fontFF8C00">SUBBED IN</font>';
				}
				else
				{
					$value = "-";
				}
				$sReturn .= $value.'</td>';
			}
			else if(strtolower($sParent) == "b_subbedout")
			{
				if($value == "1")
				{
					$value = '<font class="fontFF8C00">SUBBED OUT</font>';
				}
				else
				{
					$value = "-";
				}
				$sReturn .= $value.'</td>';
			}
			else
			{
				$sReturn .= $value.'</td>';
			}

			return $sReturn;
		}

		function beginChildren()
		{
			echo "<tr>";
		}

		function endChildren()
		{
			echo "</tr>" . "\n";
		}
	}

	try
	{
		DecodeParam($param_page, "page", 1);
		DecodeParam($param_sortdir, "sortdir", 'DESC');
		if(strtoupper($param_sortdir) != "ASC")
		{
			$param_sortdir = 'DESC';
		}
		if(isset($_GET["matchid"]))
		{
			$sDefOrderCols = DEFAULT_SORTCOL_PLYRMATCHSTATS_MATCH;
		}
		else
		{
			$sDefOrderCols = DEFAULT_SORTCOL_PLYRMATCHSTATS;
		}
		DecodeParam($param_ordercol, "ordercol", $sDefOrderCols);
		$param_ordercol = CheckIfValidColumn('aa_sPlyrMtchStatsFields', $param_ordercol, $sDefOrderCols);
		DecodeParam($param_steamid, "steamid", "");
		DecodeParam($param_lastnameused, "lastnameused", "");
		DecodeParam($param_lastclientip, "lastclientip", "");
		DecodeParam($param_matchid, "matchid", "");

		$conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
		$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

		echo "<table class='darkTable' align='center'><thead class='nav-container'><tr>";
		$bFirst = true;
		$sHeaders = "";
		$query = 'SELECT ';

		for($i = 0; $i < count($GLOBALS['aa_sPlyrMtchStatsFields']); $i++)
		{
			$a_sField = $GLOBALS['aa_sPlyrMtchStatsFields'][$i];
			if($a_sField[3] === true)
			{
				if($_SESSION['togscrim_admin'] != "ADMIN")
				{
					continue;
				}
			}

			if($i != 0)
			{
				$query .= ',';
			}
			$query .= $a_sField[1].' AS `'. $a_sField[0].'`';
			$sHeaders .= AddHeader($a_sField[0]);
		}
		$sHeaders .= '</tr></thead>';
		$query .= " FROM ".$tblname." ";

		$start_from = ($param_page - 1) * NUMPGRECORDS_PLYRMATCHSTATS;

		$firstwhere = true;
		//function SQLAddWhereCol2(&$sVariable, &$bFirstWhere, $inputcol, $paramname, $bStringInput = false)
		$query .= SQLAddWhereCol2($param_steamid, $firstwhere, "steamid", "param_steamid", true);
		$query .= SQLAddWhereCol2($param_lastnameused, $firstwhere, "lastnameused", "param_lastnameused", true);
		$query .= SQLAddWhereCol2($param_lastclientip, $firstwhere, "lastclientip", "param_lastclientip", true);
		$query .= SQLAddWhereCol2($param_matchid, $firstwhere, "match_id", "param_matchid");

		$query .= " ORDER BY `".$param_ordercol."` ".$param_sortdir." LIMIT :startpgnum, ".NUMPGRECORDS_PLYRMATCHSTATS;
		$stmt = $conn->prepare($query);

		//bind inputs			//function SQLBindParam(&$stmt, &$variable, $paramname, $bStringInput = false, $bSkipCheck = false)
		SQLBindParam($stmt, $param_steamid, "param_steamid", true);
		SQLBindParam($stmt, $param_lastnameused, "param_lastnameused", true);
		SQLBindParam($stmt, $param_lastclientip, "param_lastclientip", true);
		SQLBindParam($stmt, $param_matchid, "param_matchid");
		SQLBindParam($stmt, $start_from, "startpgnum", false, true);
		$stmt->execute();

		$result = $stmt->setFetchMode(PDO::FETCH_ASSOC); 	// set the resulting array to associative
		$iCount = $stmt->rowCount();
		if($iCount == 0)
		{
			echo '<font class="fontred font22">NO RECORDS RETURNED!</font>';
		}
		else
		{
			echo $sHeaders;
			echo '<tbody>';
			foreach(new TableRows(new RecursiveArrayIterator($stmt->fetchAll())) as $k=>$v)
			{
				echo $v;
			}
			echo '</tbody>';
		}
	}
	catch(PDOException $e)
	{
		echo "Error: " . $e->getMessage();
	}
	echo "</table>";

	//page numbers
	if($iCount != 0)
	{
		DecodeParam($param_steamid, "steamid", "");
		DecodeParam($param_lastnameused, "lastnameused", "");
		DecodeParam($param_lastclientip, "lastclientip", "");
		DecodeParam($param_matchid, "matchid", "");

		$query = str_replace('LIMIT :startpgnum, '.NUMPGRECORDS_PLYRMATCHSTATS, "", $query);
		$stmt = $conn->prepare($query);

		//bind inputs
		SQLBindParam($stmt, $param_steamid, "param_steamid", true);
		SQLBindParam($stmt, $param_lastnameused, "param_lastnameused", true);
		SQLBindParam($stmt, $param_lastclientip, "param_lastclientip", true);
		SQLBindParam($stmt, $param_matchid, "param_matchid");
		$stmt->execute();

		$result = $stmt->setFetchMode(PDO::FETCH_ASSOC); 	// set the resulting array to associative
		$iCount = $stmt->rowCount();

		$total_pages = ceil($iCount / NUMPGRECORDS_PLYRMATCHSTATS);
		if($iCount != 0)
		{
			include("../../includes/togcoding/pagelinks.php");
		}
	}
	$conn = null;
?>