var scrollTimer, lastScrollFireTime = 0;

window.onscroll = function() {CheckScrollTime()};

function CheckScrollTime()
{
	//only allow event to fire every "minScrollTime" milliseconds
	var minScrollTime = 100;
	var now = new Date().getTime();

	if (!scrollTimer)
	{
		if (now - lastScrollFireTime > (3 * minScrollTime))
		{
			CheckHeaderScroll();   // fire immediately on first scroll
			lastScrollFireTime = now;
		}
		scrollTimer = setTimeout(function()
		{
			scrollTimer = null;
			lastScrollFireTime = new Date().getTime();
			CheckHeaderScroll();
		}, minScrollTime);
	}
}

function CheckHeaderScroll()
{
	var nav = $('.nav-container');
	if ($(window).scrollTop() > $('#justabovenavbar').offset().top + 0)
	{
		nav.addClass("f-nav");
		try		//need the try statement in case the content is hidden
		{
			$(document.getElementById("idScrollToTop")).removeClass("displaynone");
		}
		catch(err)
		{
			//do nothing
		}
	}
	else if ($(window).scrollTop() < $('#justabovenavbar').offset().top + 0)
	{
		nav.removeClass("f-nav");
		try		//need the try statement in case the content is hidden
		{
			$(document.getElementById("idScrollToTop")).addClass("displaynone");
		}
		catch(err)
		{
			//do nothing
		}
	}
}