<?php
	define('ROOT_FOLDER', str_replace("/public", "", $_SERVER['DOCUMENT_ROOT']));
	session_save_path($_SERVER['DOCUMENT_ROOT'].'/sessions');
	
	if(defined("SHOW_STEAM_LOGIN"))
	{
		define('STEAM_AUTH_FOLDER', ROOT_FOLDER.'/steamauth/');
		include_once STEAM_AUTH_FOLDER.'steamauth.php';
	}
	
	if(!function_exists('toSteamID'))
	{
		function toSteamID($id)	//https://gist.github.com/rannmann/49c1321b3239e00f442c
		{
			if (is_numeric($id) && strlen($id) >= 16)
			{
				$z = bcdiv(bcsub($id, '76561197960265728'), '2');
			}
			elseif (is_numeric($id))
			{
				$z = bcdiv($id, '2'); // Actually new User ID format
				}
			else
			{
				return $id; // We have no idea what this is, so just return it.
			}
			$y = bcmod($id, '2');
			return 'STEAM_0:' . $y . ':' . floor($z);
		}
	}
?>