<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta name="google" content="notranslate">
		<base target="_parent" />
		<link type="text/css" rel="stylesheet" href="../../includes/togcoding/styles.css"/>
		<link type="text/css" rel="stylesheet" href="../formatting.css"/>
		<link rel="shortcut icon" href="../img/favicon.ico" >
		<link rel="icon" type="image/gif" href="../img/favicon.ico" >
		
		<?php
			include("../settings.php");
			echo '<title>'.PGLABEL_BANS.'</title>';
			if(defined("SHOW_STEAM_LOGIN_BANS"))
			{
				include_once STEAM_AUTH_FOLDER.'steamauth.php';
			}
		?>
		
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
		<script src="../scripts/onclick.js"></script>
		<script src="../../includes/togcoding/togcoding.js"></script>
		<script src="../scripts/headerscrolllock.js"></script>
		<script src="../scripts/callqueryhook.js"></script>
		<script src="./callquery.js"></script>
		<script src="../../includes/togcoding/hdrsorting.js"></script>
	</head>

	<body><center>
		<?php
			if(!isset($_GET["noheaders"]))
			{
				include("../settings.php");
				include("../../includes/togcoding/functions.php");
				if(URL_LOGOLINK == "")
				{
					echo '<img src='.URL_LOGO.' alt="" class="logo" />"';
				}
				else
				{
					echo '<a href="'.URL_LOGOLINK.'"><img src="'.URL_LOGO.'" alt="" class="logo" /></a>';
				}
				
				echo '<div class="spacer50"></div>';

				echo '<div class="cleaboth" align="center">';
					echo '<a target="_self" class="headpoint2" href="./index.php">'.TITLE_BANS.'</a>';
				echo '</div>';
				
				echo '<div class="spacer30"></div>';
				
				if(defined("SHOW_STEAM_LOGIN_BANS"))
				{
					include_once("../steamlogin.php");
					if(defined("REQUIRE_AUTH_BANS"))
					{
						SteamLoginSetup(true);
					}
					else
					{
						SteamLoginSetup(false);
					}
				}
				
				echo '<div class="form-wrapper cf">';
					SearchBox('Steamid', 'Search for Steam ID...', 'top80');
					SearchBox('PlayerName', 'Search for Name...', 'top130');
					SearchBox('MatchID', 'Search for Match ID #...', 'top180');
					SearchBox('Map', 'Search for Map...', 'top230');
					SearchBox('Server', 'Search for Server IP...', 'top280');
					//if($_SESSION['togscrim_admin'] == "ADMIN")
					if(GetColArrayData('aa_sBansFields', "lastclientip", 3, true) === false)
					{
						SearchBox('PlayerIP', 'Search for Player IP...', 'top330');
					}
				echo '</div>';
				
				AddRedirectBtn('../pugstats/index.php', '-- Server Match Stats --');
				echo '&nbsp&nbsp&nbsp';
				AddRedirectBtn('../topstats/index.php', '-- Top Player Stats --');
				echo '&nbsp&nbsp&nbsp';
				AddRedirectBtn('../banlevels/index.php', '-- Player Ban Levels --');
				
				echo '<div class="spacer200"></div>';
			}
		?>

		<div class="spacer20" id="justabovenavbar"></div>
		
		<?php
			echo '<div name="nmDisplayArea" id="idDisplayArea">';
				include_once('runquery.php');
			echo '</div>';
		?>
		
		<button type="submit" name="nmScrollToTop" id="idScrollToTop" class="displaynone posfixed transpbg noborderoutline right30 bottom20 index9999"><center>
			<img alt="" border="0" src="../img/toparrow.png" width="50" height="50" id="idScrollToTopImg">
			</br><font class="fontwhite font8">[SCROLL TO TOP]</font>
		</center></button>

		<?php
			if(!isset($_GET["noheaders"]))
			{
				echo '<div class="spacer150"></div>';
		
				echo '<center><div class="clearboth">';
					echo '<p class="headpoint5">Page created by <a href="https://www.togcoding.com">That One Guy</a>.</p>';
				echo '</div></center>';
			}
		?>
	</center></body> 
</html>