<?php
	// Enter your database info here.
	$servername = 	"";
	$username = 		"";
	$password = 		"";
	$dbname = 			"";

	if(!defined('URL_LOGO'))
	{
		define("URL_LOGO", "../img/togcodinglogo.png");			// Replace with your logo path
	}
	if(!defined('URL_LOGOLINK'))
	{
		define("URL_LOGOLINK", "https://www.togcoding.com/");	// Hyperlink to use if players click the logo (leave blank quotes for no hyperlink)
	}
	
	$transfer_protocol = "https";

	//$demofolderurl = str_replace("togscrim/pugstats/", "demos/", 'https://' . $_SERVER['HTTP_HOST'] .strtok($_SERVER["REQUEST_URI"],'?'));
	$demofolderurl = 'https://'.$_SERVER['HTTP_HOST'].'/demos/';
	$demofolderurl = str_replace("index.php", "", $demofolderurl);
	$demofolderurl = str_replace("runquery.php", "", $demofolderurl);
	$demofolder = $_SERVER['DOCUMENT_ROOT'].'/demos/';
	
	if(!defined('ROOT_FOLDER'))
	{
		define('ROOT_FOLDER', str_replace("/public", "", $_SERVER['DOCUMENT_ROOT']));	// If your public folder is public_html or any other variation, change this line to reflect that.
	}
	if(!defined('STEAM_AUTH_FOLDER'))
	{
		define('STEAM_AUTH_FOLDER', ROOT_FOLDER.'/steamauth/');
	}
	if(!isset($_SESSION))
	{
		session_save_path($_SERVER['DOCUMENT_ROOT'].'/sessions');
	}

	//To add admins (which have the ability to view/search player IPs), add them to the list below
	//e.g.
	//	$admins = array("STEAM_0:0:123456","STEAM_0:0:987654","STEAM_0:0:11111111");
	$admins = array("STEAM_0:0:36592457");
		
	// The following section sets the number of rows to include in the table on the given page
	if(!defined('NUMPGRECORDS_BANLEV'))
	{
		define("NUMPGRECORDS_BANLEV", 			50);		// Page: Ban Levels
	}
	if(!defined('NUMPGRECORDS_BANS'))
	{
		define("NUMPGRECORDS_BANS", 			50);		// Page: Player Bans
	}
	if(!defined('NUMPGRECORDS_PLYRMATCHSTATS'))
	{
		define("NUMPGRECORDS_PLYRMATCHSTATS", 	50);		// Page: Player Match Stats
	}
	if(!defined('NUMPGRECORDS_PUGSTATS'))
	{
		define("NUMPGRECORDS_PUGSTATS", 		20);		// Page: Pug Stats (Server Match Stats)
	}
	if(!defined('NUMPGRECORDS_TOPSTATS'))
	{
		define("NUMPGRECORDS_TOPSTATS", 		50);		// Page: Top Player Stats
	}
	if(!defined('NUMPGRECORDS_TOPSTATS_RECENT'))
	{
		define("NUMPGRECORDS_TOPSTATS_RECENT", 	50);		// Page: Recent Top Player Stats
	}
	
	if(!defined('RECENTSTATS_DAYS'))
	{
		define("RECENTSTATS_DAYS", 				30);		// Number of days to use for Recent Top Stats page
	}
	
	////////////////////////////////////////////////////////////////////////////////////////////////
	// Comment/uncomment (add/remove the double front slash) the following lines to show the steam login for the given page (allows viewing ip's if user is logged in as an admin)
	////////////////////////////////////////////////////////////////////////////////////////////////
	
	
	if(!defined('SHOW_STEAM_LOGIN_BANLEV'))
	{
		//define('SHOW_STEAM_LOGIN_BANLEV', 'SHOW_STEAM_LOGIN_BANLEV');						// Page: Player Ban Levels
	}
	if(!defined('SHOW_STEAM_LOGIN_BANS'))
	{
		define('SHOW_STEAM_LOGIN_BANS', 'SHOW_STEAM_LOGIN_BANS');							// Page: Player Bans
	}
	if(!defined('SHOW_STEAM_LOGIN_PLYRMATCHSTATS'))
	{
		define('SHOW_STEAM_LOGIN_PLYRMATCHSTATS', 'SHOW_STEAM_LOGIN_PLYRMATCHSTATS');		// Page: Player Match Stats
	}
	if(!defined('SHOW_STEAM_LOGIN_PLYRSTATS'))
	{
		define('SHOW_STEAM_LOGIN_PLYRSTATS', 'SHOW_STEAM_LOGIN_PLYRSTATS');					// Page: Player Stats
	}
	if(!defined('SHOW_STEAM_LOGIN_PUGSTATS'))
	{
		define('SHOW_STEAM_LOGIN_PUGSTATS', 'SHOW_STEAM_LOGIN_PUGSTATS');					// Page: Pug Stats (Server Match Stats)
	}
	if(!defined('SHOW_STEAM_LOGIN_TOPSTATS'))
	{
		define('SHOW_STEAM_LOGIN_TOPSTATS', 'SHOW_STEAM_LOGIN_TOPSTATS');					// Page: Top Player Stats
	}
	if(!defined('SHOW_STEAM_LOGIN_TOPSTATS_RECENT'))
	{
		define('SHOW_STEAM_LOGIN_TOPSTATS_RECENT', 'SHOW_STEAM_LOGIN_TOPSTATS_RECENT');		// Page: Recent Top Player Stats
	}
	
	////////////////////////////////////////////////////////////////////////////////////////////////
	// Comment/uncomment (add/remove the double front slash) the following lines to require steam login as an admin in order to view the given page
	////////////////////////////////////////////////////////////////////////////////////////////////
	
	if(!defined('REQUIRE_AUTH_BANLEV'))
	{
		//define('REQUIRE_AUTH_BANLEV', 'REQUIRE_AUTH_BANLEV');								// Page: Player Ban Levels
	}
	if(!defined('REQUIRE_AUTH_BANS'))
	{
		//define('REQUIRE_AUTH_BANS', 'REQUIRE_AUTH_BANS');									// Page: Player Bans
	}
	if(!defined('REQUIRE_AUTH_PLYRMATCHSTATS'))
	{
		//define('REQUIRE_AUTH_PLYRMATCHSTATS', 'REQUIRE_AUTH_PLYRMATCHSTATS');				// Page: Player Match Stats
	}
	if(!defined('REQUIRE_AUTH_PLYRSTATS'))
	{
		//define('REQUIRE_AUTH_PLYRSTATS', 'REQUIRE_AUTH_PLYRSTATS');						// Page: Player Stats
	}
	if(!defined('REQUIRE_AUTH_PUGSTATS'))
	{
		//define('REQUIRE_AUTH_PUGSTATS', 'REQUIRE_AUTH_PUGSTATS');							// Page: Pug Stats (Server Match Stats)
	}
	if(!defined('REQUIRE_AUTH_TOPSTATS'))
	{
		//define('REQUIRE_AUTH_TOPSTATS', 'REQUIRE_AUTH_TOPSTATS');							// Page: Top Player Stats
	}
	if(!defined('REQUIRE_AUTH_TOPSTATS_RECENT'))
	{
		//define('REQUIRE_AUTH_TOPSTATS_RECENT', 'REQUIRE_AUTH_TOPSTATS_RECENT');			// Page: Recent Top Player Stats
	}
	
	
	//Page titles (shows in tab at top of web browser)
	if(!defined('TITLE_BANLEV'))
	{
		define("TITLE_BANLEV", 'TOG Scrim</br></br>Players Ban Levels');					// Page: Player Ban Levels
	}
	if(!defined('TITLE_BANS'))
	{
		define("TITLE_BANS", 'TOG Scrim</br></br>Players Bans');							// Page: Player Ban Levels
	}
	if(!defined('TITLE_PLYRMATCHSTATS'))
	{
		define("TITLE_PLYRMATCHSTATS", 'TOG Scrim</br></br>Players Match Stats');			// Page: Player Match Stats
	}
	if(!defined('TITLE_PLYRSTATS'))
	{
		define("TITLE_PLYRSTATS", 'TOG Scrim</br></br>Overall Players Stats');				// Page: Player Stats
	}
	if(!defined('TITLE_PUGSTATS'))
	{
		define("TITLE_PUGSTATS", 'TOG Scrim</br></br>Server Match Stats');					// Page: Pug Stats (Server Match Stats)
	}
	if(!defined('TITLE_TOPSTATS'))
	{
		define("TITLE_TOPSTATS", 'TOG Scrim</br></br>Top Players');							// Page: Top Player Stats
	}
	if(!defined('TITLE_TOPSTATS_RECENT'))
	{
		define("TITLE_TOPSTATS_RECENT", 'TOG Scrim</br></br>Top Players (Last 30 Days)');	// Page: Recent Top Player Stats
	}
	
	//Page Label (shows in top of web page in large letters)
	if(!defined('PGLABEL_BANLEV'))
	{
		define("PGLABEL_BANLEV", 'TOG Scrim - Players Ban Levels');							// Page: Player Ban Levels
	}
	if(!defined('PGLABEL_BANS'))
	{
		define("PGLABEL_BANS", 'TOG Scrim - Players Bans');									// Page: Player Ban Levels
	}
	if(!defined('PGLABEL_PLYRMATCHSTATS'))
	{
		define("PGLABEL_PLYRMATCHSTATS", 'TOG Scrim - Players Match Stats');				// Page: Player Match Stats
	}
	if(!defined('PGLABEL_PLYRSTATS'))
	{
		define("PGLABEL_PLYRSTATS", 'TOG Scrim - Overall Players Stats');					// Page: Player Stats
	}
	if(!defined('PGLABEL_PUGSTATS'))
	{
		define("PGLABEL_PUGSTATS", 'TOG Scrim - Server Match Stats');						// Page: Pug Stats (Server Match Stats)
	}
	if(!defined('PGLABEL_TOPSTATS'))
	{
		define("PGLABEL_TOPSTATS", 'TOG Scrim - Top Players');								// Page: Top Player Stats
	}
	if(!defined('PGLABEL_TOPSTATS_RECENT'))
	{
		define("PGLABEL_TOPSTATS_RECENT", 'Top Players (Last 30 Days)');					// Page: Top Player Stats
	}
	
	
	// Page: Player Ban Levels
	if(!defined('DEFAULT_SORTCOL_BANLEV'))
	{
		define('DEFAULT_SORTCOL_BANLEV', 'Ban Level');						// Use this to set the default sort column (text must exactly match column label from below)
	}
	// The arrays below set up the table for the page. Except for the last row, each row should end with a comma.
	// 1st entry: Column label. 2nd: Database field name (dont edit). 3rd: HTML style (dont edit). 4th: Require admin to see? (true or false)
	$GLOBALS['aa_sBanLevelFields'] = array
	(
		array('Steam ID', 'steamid', 'minmaxwidth200', false)
		,array('Player', 'lastnameused', 'minmaxwidth250', false)
		,array('Ban Level', 'banlevel', 'minmaxwidth100', false)
		,array('Last Event', 'last_ban_event', 'minmaxwidth175', false)
	);
	
	// Page: Player Bans
	if(!defined('DEFAULT_SORTCOL_BANS'))
	{
		define('DEFAULT_SORTCOL_BANS', 'Match ID');		// Use this to set the default sort column (text must exactly match column label from below)
	}
	// The arrays below set up the table for the page.
	// 1st entry: Column label. 2nd: Database field name (dont edit). 3rd: HTML style (dont edit). 4th: Require admin to see? (true or false)
	$GLOBALS['aa_sBansFields'] = array
	(
		array('Steam ID','steamid','minmaxwidth150', false)
		,array('Player','lastnameused','minmaxwidth200', false)
		,array('Player IP','lastclientip','minmaxwidth100', true)
		,array('Event Type','event_type','minmaxwidth75', false)
		,array('Event Time','event_time','minmaxwidth100', false)
		,array('Notes','notes','minmaxwidth200', false)
		,array('Ban Length','banlength','minmaxwidth100', false)
		,array('Match ID','match_id','minmaxwidth150', false)
		,array('Map','map','minmaxwidth150', false)
		,array('Server','server_ip','minmaxwidth175', false)
	);
	
	// Page: Player Match Stats
	// Note: Because multiple fields are selected for sort column below, and the parsing wraps the sort column in `` already, the ` has been left off both ends
	if(!defined('DEFAULT_SORTCOL_PLYRMATCHSTATS'))
	{
		define('DEFAULT_SORTCOL_PLYRMATCHSTATS', 'match_id` DESC, `outcome` DESC, `kills');		// Use this to set the default sort column (text must exactly match column label from below)
	}
	if(!defined('DEFAULT_SORTCOL_PLYRMATCHSTATS_MATCH'))
	{
		define('DEFAULT_SORTCOL_PLYRMATCHSTATS_MATCH', 'outcome` DESC, `kills');				// Use this to set the default sort column (text must exactly match column label from below)(applies when a single match is selected)
	}
	// The arrays below set up the table for the page.
	// 1st entry: Column label. 2nd: Database field name (dont edit). 3rd: HTML style (dont edit). 4th: Require admin to see? (true or false)
	$GLOBALS['aa_sPlyrMtchStatsFields'] = array
	(
		array('Match ID','match_id','minmaxwidth150', false)
		,array('Join Time','matchjointime','minmaxwidth100', false)
		,array('Leave Time','matchleavetime','minmaxwidth100', false)
		,array('Steam ID','steamid','minmaxwidth150', false)
		,array('Last Known Name','lastnameused','minmaxwidth200', false)
		,array('Player IP','lastclientip','minmaxwidth100', true)
		,array('Player Match Outcome','outcome','minmaxwidth200', false)
		,array('Subbed In','b_subbedin','minmaxwidth75', false)
		,array('Subbed Out','b_subbedout','minmaxwidth75', false)
		,array('Rounds Won','roundswon','minmaxwidth75', false)
		,array('Rounds Lost','roundslost','minmaxwidth75', false)
		,array('Total Match Dmg','cummatchdmg','minmaxwidth75', false)
		,array('ADR',"(CASE WHEN (`roundswon`+`roundslost`) = 0 THEN 'N/A' ELSE ROUND(`cummatchdmg`/(`roundswon`+`roundslost`),1) END)",'minmaxwidth75', false)
		,array('Kills','kills','minmaxwidth75', false)
		,array('Assists','assists','minmaxwidth75', false)
		,array('Deaths','deaths','minmaxwidth75', false)
		,array('Bomb Explosions','bombexplodes','minmaxwidth100', false)
		,array('Bomb Plants','plants','minmaxwidth75', false)
		,array('Bomb Defused','defuses','minmaxwidth75', false)
		,array('Total Points','totalpoints','minmaxwidth75', false)
		,array('MVPs','mvps','minmaxwidth75', false)
		,array('5v1 Clutches','clutch_5v1','minmaxwidth75', false)
		,array('4v1 Clutches','clutch_4v1','minmaxwidth75', false)
		,array('3v1 Clutches','clutch_3v1','minmaxwidth75', false)
		,array('5k (Aces)','kills_5k','minmaxwidth75', false)
		,array('4k','kills_4k','minmaxwidth75', false)
		,array('3k','kills_3k','minmaxwidth75', false)
		,array('No Scopes','noscopes','minmaxwidth75', false)
		,array('Head Shots','headshots','minmaxwidth75', false)
		,array('Knife Kills','knives','minmaxwidth75', false)
		,array('Nade Kills','nadekills','minmaxwidth75', false)
	);
	
	// Page: Pug Stats (Server Match Stats)
	if(!defined('DEFAULT_SORTCOL_PUGSTATS'))
	{
		define('DEFAULT_SORTCOL_PUGSTATS', 'id');		// Use this to set the default sort column (text must exactly match column label from below)
	}
	// The arrays below set up the table for the page.
	// 1st entry: Column label. 2nd: Database field name (dont edit). 3rd: HTML style (dont edit). 4th: Require admin to see? (true or false)
	$GLOBALS['aa_sPugStatsFields'] = array
	(
		array('Match ID #','id','minmaxwidth175', false)
		,array('Map Name','map','minmaxwidth175', false)
		,array('Server','server_ip','minmaxwidth225', false)
		,array('Team 1 Score','team1_score','minmaxwidth100', false)
		,array('Team 2 Score','team2_score','minmaxwidth100', false)
		,array('End Reason','endreason','minmaxwidth200', false)
		,array('Start Time','matchstarttime','minmaxwidth175', false)
		,array('End Time','matchendtime','minmaxwidth175', false)
	);
	// The arrays below set up the labels for each server IP:Port combination. Except for the last row, each row should end with a comma.
	$GLOBALS['aa_sServerLabels'] = array
	(
		array('104.153.105.102:27015', 'TOG Scrim Server</br>(104.153.105.102:27015)')
		,array('104.153.105.102:27014', 'Another Server</br>(104.153.105.102:27014)')
		,array('104.153.105.102:27016', 'Some Other Server</br>(104.153.105.102:27016)')
	);
	
	// Page: Top Player Stats
	if(!defined('DEFAULT_SORTCOL_TOPSTATS'))
	{
		define('DEFAULT_SORTCOL_TOPSTATS', 'Rank Points');		// Use this to set the default sort column (text must exactly match column label from below)
	}
	// The following query is what sets points for overall rank in Top Player Stats
	//define("RANKPOINTSQUERY", "SUM(CASE WHEN `outcome` = 'WINNING TEAM' THEN 25 WHEN `outcome` = 'LOSING TEAM' THEN -25 ELSE 0 END)");
	if(!defined('RANKPOINTSQUERY'))
	{
		define("RANKPOINTSQUERY", "(1000+(SUM(`roundswon`)-SUM(`roundslost`))*10)");
	}
	// The arrays below set up the table for the page. 1st entry: Column label. 2nd: Database query. 3rd: HTML style (dont edit).
	$GLOBALS['aa_sTopStatsFields'] = array
	(
		array('Steam ID','steamid','minmaxwidth200')
		,array('Player','MAX(lastnameused)','minmaxwidth200')
		,array('Rank Points', RANKPOINTSQUERY,'minmaxwidth75')
		,array('Wins',"SUM(CASE WHEN `outcome` = 'WINNING TEAM' THEN 1 ELSE 0 END)",'minmaxwidth75')
		,array('Losses',"SUM(CASE WHEN `outcome` = 'LOSING TEAM' THEN 1 ELSE 0 END)",'minmaxwidth75')
		,array('Kills','SUM(`kills`)','minmaxwidth75')
		,array('Deaths','SUM(`deaths`)','minmaxwidth75')
		,array('FDR','((SUM(`kills`) + (3*(SUM(`defuses`)+SUM(`bombexplodes`))))/SUM(`deaths`))','minmaxwidth75')
		,array('KDR','(SUM(`kills`)/SUM(`deaths`))','minmaxwidth75')
		,array('ADR','(SUM(`cummatchdmg`)/(SUM(`roundswon`)+SUM(`roundslost`)))','minmaxwidth75')
		,array('5v1','SUM(`clutch_5v1`)','minmaxwidth75')
		,array('4v1','SUM(`clutch_4v1`)','minmaxwidth75')
		,array('3v1','SUM(`clutch_3v1`)','minmaxwidth75')
		,array('5k','SUM(`kills_5k`)','minmaxwidth75')
		,array('4k','SUM(`kills_4k`)','minmaxwidth75')
		,array('3k','SUM(`kills_3k`)','minmaxwidth75')
		,array('No Scope %','(SUM(`noscopes`)*100/SUM(`kills`))','minmaxwidth75')
		,array('Headshot %','(SUM(`headshots`)*100/SUM(`kills`))','minmaxwidth75')
		,array('Knives %','(SUM(`knives`)*100/SUM(`kills`))','minmaxwidth75')
		,array('Rounds Won/Lost','(SUM(`roundswon`)/SUM(`roundslost`))','minmaxwidth75')
		,array('Bomb Plants / Match','(SUM(`plants`)/COUNT(*))','minmaxwidth75')
		,array('Bomb Explosions / Match','(SUM(`bombexplodes`)/COUNT(*))','minmaxwidth100')
		,array('Bomb Defuses / Match','(SUM(`defuses`)/COUNT(*))','minmaxwidth75')
		,array('MVPs / Match','(SUM(`mvps`)/COUNT(*))','minmaxwidth75')
		//,array('Bomb Plants / Match','(SUM(`plants`)/(SELECT COUNT(DISTINCT match_id) FROM '.$tblname.' AS B WHERE B.steamid = A.steamid GROUP BY B.steamid))')
		//,array('Bomb Explosions / Match','(SUM(`bombexplodes`)/(SELECT COUNT(DISTINCT match_id) FROM '.$tblname.' AS B WHERE B.steamid = A.steamid GROUP BY B.steamid))')
		//,array('Bomb Defuses / Match','(SUM(`defuses`)/(SELECT COUNT(DISTINCT match_id) FROM '.$tblname.' AS B WHERE B.steamid = A.steamid GROUP BY B.steamid))')
		//,array('MVPs / Match','(SUM(`mvps`)/(SELECT COUNT(DISTINCT match_id) FROM '.$tblname.' AS B WHERE B.steamid = A.steamid GROUP BY B.steamid))')
	);
?>