<?php
	include("../settings.php");
	include("../../includes/togcoding/functions.php");
	
	$thispg = $transfer_protocol.'://' . $_SERVER['HTTP_HOST'] .strtok($_SERVER["REQUEST_URI"],'?');
	$thispg = str_replace("runquery.php", "index.php", $thispg);		//not needed if file used as an include. needed for ajax though

	$tblname = "togscrim_players";

	if(defined("SHOW_STEAM_LOGIN_TOPSTATS"))
	{
		if(defined("REQUIRE_AUTH_TOPSTATS"))
		{
			if($_SESSION['togscrim_admin'] != "ADMIN")
			{
				echo "<div class='title'><font class='fontred fontxl'><b><center><span class='blink_text'></br></br></br></br>You must be logged in as an admin to view this page!</span></center></b></font></div><br>";
				die;
			}
		}

		session_start();
	}
	
	$GLOBALS['rank'] = 0;
	DecodeParam($param_page, "page", 1);
	if(!is_numeric($param_page))
	{
		$param_page = 1;
	}
	if($param_page > 1)
	{
		$GLOBALS['rank'] = NUMPGRECORDS_TOPSTATS*($param_page - 1);
	}
	
	function AddHeader($colname)
	{
		include("../settings.php");
		include("../../includes/togcoding/functions.php");

		$sOriginalColName = $colname;
		$classstring = GetColArrayData('aa_sTopStatsFields', $colname, 2, $colname);
		$colname = GetColArrayData('aa_sTopStatsFields', $colname, 0, $colname);
		$sReturn = "<th class='".$classstring."'>";

		DecodeParam($param_sortdir, "sortdir", 'DESC');
		if(strtoupper($param_sortdir) != "ASC")
		{
			$param_sortdir = 'DESC';
		}
		DecodeParam($param_ordercol, "ordercol", DEFAULT_SORTCOL_TOPSTATS);
		$param_ordercol = CheckIfValidColumn('aa_sTopStatsFields', $param_ordercol, DEFAULT_SORTCOL_TOPSTATS);

		if($param_ordercol == $sOriginalColName)	//if the current one we're setting, check for reverse sort
		{
			if(strtoupper($param_sortdir) == "DESC")
			{
				$sReturn .= "<a name='".$sOriginalColName."' class='colhdr sortdesc fontlinkblue'>".$colname. " &#9660</a></th>";
			}
			else
			{
				$sReturn .= "<a name='".$sOriginalColName."' class='colhdr sortasc fontlinkblue'>".$colname. " &#9650</a></th>";
			}
		}
		else
		{
			$sReturn .= "<a name='".$sOriginalColName."' class='colhdr fontlinkblue'>".$colname. "</a></th>";
		}
		return $sReturn;
	}
	
	class TableRows extends RecursiveIteratorIterator
	{ 
		function __construct($it)
		{ 
			parent::__construct($it, self::LEAVES_ONLY); 
		}

		function current()
		{
			include("../settings.php");

			$value = parent::current();
			if($value == "")
			{
				$value = "-";
			}
			$origvalue = $value;

			$sParent = GetColArrayData('aa_sTopStatsFields', parent::key(), 1, parent::key());
			
			if(($sParent == "lastnameused"))
			{
				$value = noHTML($value);	//sanitize
			}

			$classstring = GetColArrayData('aa_sTopStatsFields', $sParent, 2, 'minmaxwidth75');
			$sReturn = "<td class='".$classstring."'>";
			
			if(($sParent == "Steam ID") || ($sParent == "steamid"))
			{
				if(strpos($value, "STEAM_") !== false)
				{
					$playermatchstatspg = $transfer_protocol.'://' . $_SERVER['HTTP_HOST'] . strtok($_SERVER["REQUEST_URI"],'?');
					$playermatchstatspg = str_replace("runquery.php", "index.php", $playermatchstatspg);
					$playerstatspg = str_replace("topstats/", "playerstats/", $playermatchstatspg);
					$sReturn .= '<font class="fontbold"><a target="_self" href="'.$playerstatspg.'?steamid='.$value.'" target="_blank">'.$value.'</a></font>';
					
				}
			}
			else if(($sParent == "Rank"))
			{
				$GLOBALS['rank'] += 1;
				$sReturn .= $GLOBALS['rank'];
			}
			else
			{
				$sReturn .= $value;
			}
			
			return $sReturn;
		}

		function beginChildren()
		{ 
			echo "<tr>";
		} 

		function endChildren()
		{ 
			echo "</tr>" . "\n";
		} 
	} 

	try
	{
		DecodeParam($param_page, "page", 1);
		DecodeParam($param_sortdir, "sortdir", 'DESC');
		DecodeParam($param_ordercol, "ordercol", DEFAULT_SORTCOL_TOPSTATS);
		$param_ordercol = CheckIfValidColumn('aa_sTopStatsFields', $param_ordercol, DEFAULT_SORTCOL_TOPSTATS);
		if(strtoupper($param_sortdir) != "ASC")
		{
			$param_sortdir = 'DESC';
		}
		
		$conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
		$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		
		echo "<table class='darkTable' align='center'><thead class='nav-container'><tr>";
		$bFirst = true;
		$sHeaders = "";
		$query = 'SELECT ';
		
		$sHeaders .= AddHeader('Rank', false);
		$query .= "'Rank' AS `Rank` ";

		for($i = 0; $i < count($GLOBALS['aa_sTopStatsFields']); $i++)
		{
			$a_sField = $GLOBALS['aa_sTopStatsFields'][$i];
			if($a_sField[0] == "Rank Points")
			{
				$query .= ',('.$a_sField[1].') AS `'. $a_sField[0].'`';
			}
			else
			{
				$query .= ','.$a_sField[1].' AS `'. $a_sField[0].'`';
			}
			$sHeaders .= AddHeader($a_sField[0]);
		}
		$sHeaders .= '</tr></thead>';
		$query .= " FROM ".$tblname." AS A ";
		
		$start_from = ($param_page - 1) * NUMPGRECORDS_TOPSTATS;
		
		$query .= " GROUP BY A.steamid ORDER BY `".$param_ordercol."` ".$param_sortdir." LIMIT :startpgnum, ".NUMPGRECORDS_TOPSTATS;
		
		$stmt = $conn->prepare($query);

		SQLBindParam($stmt, $start_from, "startpgnum", false, true);
		$stmt->execute();

		$result = $stmt->setFetchMode(PDO::FETCH_ASSOC); 	// set the resulting array to associative
		$iCount = $stmt->rowCount();
		/*if($param_sortdir == "DESC")
		{
			$GLOBALS['rank'] = $i_count + 1;
			if($param_page > 1)
			{
				$GLOBALS['rank'] -= NUMPGRECORDS_TOPSTATS*($param_page - 1);
			}
		}*/
		if($iCount == 0)
		{
			echo '<font class="fontred font22">NO RECORDS RETURNED!</font>';
		}
		else
		{
			echo $sHeaders;
			echo '<tbody>';
			foreach(new TableRows(new RecursiveArrayIterator($stmt->fetchAll())) as $k=>$v)
			{
				echo $v;
			}
			echo '</tbody>';
		}
	}
	catch(PDOException $e)
	{
		echo "Error: " . $e->getMessage();
	}
	echo "</table>";
	
	//page numbers
	if($iCount != 0)
	{
		$query = str_replace('LIMIT :startpgnum, '.NUMPGRECORDS_TOPSTATS, "", $query);
		$stmt = $conn->prepare($query);
		$stmt->execute();

		$result = $stmt->setFetchMode(PDO::FETCH_ASSOC); 	// set the resulting array to associative
		$iCount = $stmt->rowCount();

		$total_pages = ceil($iCount / NUMPGRECORDS_TOPSTATS);
		if($iCount != 0)
		{
			include("../../includes/togcoding/pagelinks.php");
		}
	}
	$conn = null;
?>